Package org.drinkless.tdlib

# Class TdApi.GetInternalLink

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.HttpUrl>
org.drinkless.tdlib.TdApi.GetInternalLink

Enclosing class:
  `TdApi`

public static class TdApi.GetInternalLink extends TdApi.Function<TdApi.HttpUrl>
Returns an HTTPS or a tg: link with the given type. Can be called before authorization.

Returns `HttpUrl`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isHttp`
  Pass true to create an HTTPS link (only available for some link types); pass false to create a tg: link.
  `TdApi.InternalLinkType`
  `type`
  Expected type of the link.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetInternalLink()`
  Default constructor for a function, which returns an HTTPS or a tg: link with the given type.
  `GetInternalLink(TdApi.InternalLinkType type, boolean isHttp)`
  Creates a function, which returns an HTTPS or a tg: link with the given type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### type

    public TdApi.InternalLinkType type
    Expected type of the link.

  - ### isHttp

    public boolean isHttp
    Pass true to create an HTTPS link (only available for some link types); pass false to create a tg: link.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetInternalLink

    public GetInternalLink()
    Default constructor for a function, which returns an HTTPS or a tg: link with the given type. Can be called before authorization.

    Returns `HttpUrl`

  - ### GetInternalLink

    public GetInternalLink(TdApi.InternalLinkType type, boolean isHttp)
    Creates a function, which returns an HTTPS or a tg: link with the given type. Can be called before authorization.

    Returns `HttpUrl`

    Parameters:
      `type` - Expected type of the link.
      `isHttp` - Pass true to create an HTTPS link (only available for some link types); pass false to create a tg: link.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.HttpUrl>`
    Returns:
      this.CONSTRUCTOR